//+------------------------------------------------------------------+
//|                                                  !_Uskorenie.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
extern int MaPeriod =12;
extern int MaShift  =3;
extern int Limit    =500;
//---- buffers
double ExtMapBuffer1[],ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int i,limit,counted_bars=IndicatorCounted();
   
   if ( counted_bars < 0 ) return(-1);

   limit=Bars;
   if(counted_bars>0) limit=Bars-counted_bars;

   limit--;
   if (limit>Limit && Limit>0) limit=Limit;
   for( i=limit; i>=0; i--) {
     ExtMapBuffer2[i]=iMA(Symbol(),0,MaPeriod,0,1,0,i)*2-iMA(Symbol(),0,MaPeriod,MaShift,1,0,i);
     ExtMapBuffer1[i]=iMA(Symbol(),0,MaPeriod,0,1,0,i);
   }
   return(0);
   }
//+------------------------------------------------------------------+